/** Instantiates and runs various Dog routines
 *  @author Josh Hug
 */

public class DogLauncher {
	/** See class javadoc
	 */

	public static void main(String[] args) {
		Dog d1 = new Dog("Huggybear", "Dalmation", 44);
		System.out.println(d1);
		d1.bark();
		Dog d2 = new Dog("Sinisterious", "Chiahuahua", 5);
		System.out.println(d2);
		System.out.println(d2.getSize());
		System.out.println(Dog.maxDog(d1, d2));
		
		/* bad style */
		System.out.println(d1.maxDog(d1, d2));

		System.out.println(Dog.binomen);

		/* bad style */
		System.out.println(d1.binomen);
		
		/* Public static variables are dangerous */
		d1.binomen = "Dogs do not exist";
		System.out.println(Dog.binomen);
	}
} 