/** Launches us some showdog
 *  @author Josh Hug
 */

public class ShowDogLauncher {
	/** See class javadoc
	 */

	public static void main(String[] args) {
		ShowDog sd = new ShowDog("Piper", "Poodle", 25, 3872.42);
		sd.bark();

		/* ok, since a ShowDog is a Dog*/
		Dog d = sd;
		
		/* bark method called will be based on DYNAMIC type of
		   the value of d -- in this case, ShowDog */
		d.bark();

		ShowDog dogC = new ShowDog("Frankie", "Malamute", 180, 6);
		ShowDog dogD = new ShowDog("Gorbachev", "Corgi", 44, 12);
		Dog.maxDog(dogC, dogD);
		Dog md = Dog.maxDog(dogC, dogD);

		/* Will not work: Static type of Dog.maxDog is Dog.
		//ShowDog msd = Dog.maxDog(dogC, dogD);
		
	
		/* Compiler plays it safe and makes calls about allowable
		   syntax based on static type. Since the static type of
		   d4 is Dog, we cannot access winnings. */
		/*
		Dog d4 = d1;
		d4.winnings = 5; /* no winnings what?? there are winnings ! */
	
	}
} 